<!-- Components info: https://angulardart.dev/components -->
<div>
  <material-input label="From Airport ?"
                  autoFocus floatingLabel style="width:80%"
                  [(ngModel)]="newFlight.fromCode"
                  (keyup.enter)="add()">
  </material-input>
</div>
<div>
  <material-input label="Target Airport?"
                  autoFocus floatingLabel style="width:80%"
                  [(ngModel)]="newFlight.targetCode"
                  (keyup.enter)="add()">
  </material-input>
</div>
<material-fab mini raised
                (trigger)="add()"
                [disabled]="newFlight.fromCode==''">
    <material-icon icon="add"></material-icon>
</material-fab>
<p *ngIf="flights.isEmpty">
  Awaiting order! Add Flights above.
</p>
<div *ngIf="flights.isNotEmpty">
  <ul>
      <li *ngFor="let flight of flights; let i=index">
        
        <span>{{flight.fromCode}}</span> -------->
        <span>{{flight.targetCode}}</span>
        (<span>{{flight.farePrice}}</span>&nbsp;{{flight.currency}})
        <material-fab mini (trigger)="remove(i)">
          <material-icon icon="delete"></material-icon>
        </material-fab>
      </li>
  </ul>
</div>
